#ifndef USERACCT_API_H
#define USERACCT_API_H

#include <module_apis/useracct_apidef.h>
static const char USERACCT_API_KEY[]="useracct";
static const int  USERACCT_API_REV=4;

inline int useracct_apis_init(
	const char *client,
	USERACCT_API *tb[])
{
	return module_get_apis (USERACCT_API_KEY,USERACCT_API_REV
		,client,(void*[])tb);
}

inline void useracct_apis_end(USERACCT_API *apis[], int nbapis)
{
	module_release_apis (USERACCT_API_KEY,(void*[])apis,nbapis);
}

inline bool useracct_api_available(const char *client)
{
	return module_api_available (USERACCT_API_KEY,USERACCT_API_REV,client);
}


#endif


